| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAuditor Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAuditor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAuditor:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | getHandle (self)
def | getGaudiType (cls)
def | getJobOptName (self)
def | toStringProperty (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, *args, **kwargs)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, **kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _jobOptName

## Static Private Attributes
dictionary | __slots__ = {'_jobOptName': 0, 'OutputLevel': 0, 'Enable': 1}

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables
dictionary | configurableServices

## Detailed Description

Definition at line 1247 of file Configurable.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiKernel.Configurable.ConfigurableAuditor.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1250 of file Configurable.py.

1250 def __init__(self, name=Configurable.DefaultName):
1251 super(ConfigurableAuditor, self).__init__(name)
1252 name = self.getName()
1253 name = name[name.find('/') + 1:] # strips class, if any
1254 self._jobOptName = name
1255

## Member Function Documentation

## ◆ getGaudiType()

def GaudiKernel.Configurable.ConfigurableAuditor.getGaudiType | ( |  | cls | ) |

Definition at line 1261 of file Configurable.py.

1261 def getGaudiType(cls):
1262 return 'Auditor'
1263

## ◆ getHandle()

def GaudiKernel.Configurable.ConfigurableAuditor.getHandle | ( |  | self | ) |

Definition at line 1256 of file Configurable.py.

1256 def getHandle(self):
1257 # iAlgTool isn't useful, unless one knows for sure that the tool exists
1258 return iProperty(self.getJobOptName())
1259

## ◆ getJobOptName()

def GaudiKernel.Configurable.ConfigurableAuditor.getJobOptName | ( |  | self | ) |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1264 of file Configurable.py.

1264 def getJobOptName(self):
1265 return self._jobOptName
1266

## ◆ toStringProperty()

def GaudiKernel.Configurable.ConfigurableAuditor.toStringProperty | ( |  | self | ) |

Definition at line 1267 of file Configurable.py.

1267 def toStringProperty(self):
1268 # called on conversion to a string property for the jocat
1269 return self.getType() + '/' + self.getName()
1270
1271

## Member Data Documentation

## ◆ __slots__

dictionary GaudiKernel.Configurable.ConfigurableAuditor.__slots__ = {'_jobOptName': 0, 'OutputLevel': 0, 'Enable': 1}
| static private

Definition at line 1248 of file Configurable.py.

## ◆ _jobOptName

GaudiKernel.Configurable.ConfigurableAuditor._jobOptName
| private

Definition at line 1254 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py